︠820d5578-7886-4a52-a8d7-f5b7fa7f3fb2︠
from scipy.constants import R, N_A
from sage.misc.latex import pretty_print

# Einheiten

mol = units.amount_of_substance.mole



Pa = units.pressure.pascal

m = (units.length.meter)
K = units.temperature.kelvin
g = units.mass.gram
J = units.energy.joule

kg = g*10^3

R = R*J/(K*mol)
ML = 28.964*g/mol
cpWig = 1.86*J/(mol*K)
cpWl = 4,18*J/(mol*K)
cpLig = 1*J/(mol*K)


# ---------------------------------------------------------------------



# Parameter

p = 10^5*Pa
T = 293.15*K
masse = 1*kg

n = masse/ML

print "\n1 kg Luft bei Standardbedingungen:"

V = n*R*T/p
pretty_print (V.convert())

print "\n1 mol Luft:"

n = 1*mol
V = n*R*T/p
pretty_print (V.convert())


# ------------------------------------------------------------------------

igg = p*V-n*R*T
V=solve(igg,V)
#print V[0].convert()

print "\nEnthalpie Wasser bei 20 °C (iF):"

print (cpWig*293.15*K)

print "\nIsentropenexponent von Luft:"


cvLig = R-cpLig 

print (cpLig/cvLig)
︡cbc574fe-769f-4e4a-87e2-464d4fad3e90︡{"stdout": "1 kg Luft bei Standardbedingungen:"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}0.841523086175943 \\, \\mbox{meter}^{3}</span>"}︡{"stdout": "1 mol Luft:"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}0.0243738746680000 \\, \\mbox{meter}^{3}</span>"}︡{"stdout": "Enthalpie Wasser bei 20 \u00b0C (iF):\n545.259000000000*joule/mole\n\nIsentropenexponent von Luft:\n0.13671526803301728"}︡
